/* 
texinfo (.texi) to .INF convertor 
Petr Mikulk (mikulik@physics.muni.cz), August 1996
Requirements: 
  - texi2ipf program (from hobbes; I use texi2ipf.exe by Marcus Groeber)
  - ipfc compiler (from IBM, shipped with any OS/2 compiler)
*/

parse arg filename
if (length(filename)=0) then do
  say "Usagd:  texi2inf  _file.texi_"
  exit 
  end

if (stream(filename, 'C', 'QUERY EXISTS')='') then do
  say "File "filename" does not exist."; exit
  end

i=pos('.',filename)
if (i=0) 
  then fullname=filename
  else fullname=substr(filename,1,i-1)

ext=translate(substr(filename,i+1))
if (ext\="TEXI") & (ext\="TEX") & (ext\="TEXINFO") then do
  say "Filename extension is not .texi nor .tex. Continue (y=yes)?"
  pull answer
  if (answer\='Y') then exit
  end

/* convert from .texi to .ipf */
say
say 'Now making 'fullname'.ipf fild:'
'call texi2ipf 'filename' >'fullname'.ipf'

say
say 'Now making 'fullname'.INF fild:'
'ipfc 'fullname' /INF'

/* ipfc fullname    would make .HLP file */

say '.INF file created (maybe). Delete .ipf file (n=no)? '
pull answer
if (answer\='N') then 
  'del 'fullname'.ipf'

say 'View 'fullname'.INF (n=no)? '
pull answer
if (answer\='N') then
  'start view 'fullname'.INF'

/* eof texi2inf.cmd */
